*
{
	box-sizing: border-box;
}
html,body
{
	padding: 0;
	margin: 0;
}


.controls-wrapper
{
	position: fixed;
	right: 20px;
	top: 20px;
	z-index: 100;
	background: #fff;
	padding: 5px;
}
.scale {	
	position: absolute;
	bottom: 20px;
	right: 20px;
	border: 1px solid #000;
	border-top: none;
	width: 1in;
	height: 0.2in;
	font-size: 12px;
	text-align: center;
	background: rgba(255,255,255,.5);
	color: #000;
	z-index: 99;
}
.scale::after {
	content: "1 inch";
	padding-bottom: 2px;
}




.tabletop {
	border: 1px solid #777;
	position: relative;
	height: 100vh;
	width: 100%;
	
	background-size: cover;
	background-repeat: no-repeat;
	background-color: #888;
}
.grid {
	/* line grid @ .5in spacing */
	background-size: calc(.5in - 1px) calc(.5in - 1px);
    background-image: linear-gradient(to right, grey 1px, transparent 1px), linear-gradient(to bottom, grey 1px, transparent 1px);
    position: absolute;
    z-index: 0;
    width: 100%;
    height: 100%;
    display: none;
}


/* center marker */
/*.center {
	position: absolute;
	width: 0.5in;
	height: 0.5in;
	border-radius: 50%;
	background: rgba(0, 0, 0, 0.4);
	border: 1px solid #666;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}
.center::after {
	content: "";
	width: 0.05in;
	height: 0.05in;
	background: #fff;
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
	z-index: 20;
}*/

/* objectives */
.ob {
	background: rgba(0, 0, 0, 0.4);
	/*width: 6in;
	height: 6in;*/
	width: 100px;
	height: 100px;
	border-radius: 50%;
	position: absolute;
	font-size: 40px;
	color: #fff;
	display: none;
	transform: translate(-50%,-50%);
}
.ob1 {
	left: 20%;
	top: 10%;
}
.ob2 {
	right: 20%;
	top: 10%;
}
.ob3 {
	right: 20%;
	top: 90%;
}
.ob4 {
	left: 20%;
	top: 90%;
}
.ob5 {
	left: 50%;
	top: 25%;
}
.ob6 {
	left: 50%;
	top: 75%;
}

.ob::after
{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
}
.ob1::after {
	content: "1";
}
.ob2::after {
	content: "2";
}
.ob3::after {
	content: "3";
}
.ob4::after {
	content: "4";
}
.ob5::after {
	content: "5";
}
.ob6::after {
	content: "6";
}

/* deployment zones */

.dz {
	position: absolute;
	display: none;
}
.dz::after
{
	color: #fff;
	font-size: 30px;
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.dz[data-position="top"]
{
	top: 0;
	left: 0;
	right: 0;
	height: 30vh;
}
.dz[data-position="top"]::after
{
	transform: translate(-50%, -50%) rotate(-180deg);
}

.dz[data-position="left"]
{
	left: 0;
	height: 100%;
	width: 30vw;
}
.dz[data-position="left"]::after
{
	transform: translate(-50%, -50%) rotate(90deg);
}

.dz[data-position="bottom"]
{
	bottom: 0;
	left: 0;
	right: 0;
	height: 30vh;
}

.dz[data-position="right"]
{
	right: 0;
	height: 100%;
	width: 30vw;
}
.dz[data-position="right"]::after
{
	transform: translate(-50%, -50%) rotate(-90deg);
}

.dz1 {
	background: rgba(13, 189, 60, 0.4);
}
.dz1::after
{
	content: "Deployment Zone 1";
}
.dz2 {
	background: rgba(235, 64, 52, 0.4);
}
.dz2::after
{
	content: "Deployment Zone 2";
}
.dz3 {
	background: rgba(16, 123, 176, 0.4);
}
.dz3::after
{
	content: "Deployment Zone 3";
}
.dz4 {
	background: rgba(183, 189, 6, 0.4);
}
.dz4::after
{
	content: "Deployment Zone 4";
}



/* form fields */
.dz-fields
{
	display: none;
}